package com.xunhong.erp.turbo.api.biz.exception;


import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 业务一场
 */
public class BizException extends com.xunhong.erp.turbo.base.exception.BizException {

	public BizException(ErrorCode errorCode) {
		super(errorCode);
	}

	public BizException(String message, ErrorCode errorCode) {
		super(message, errorCode);
	}

	public BizException(String message, Throwable cause, ErrorCode errorCode) {
		super(message, cause, errorCode);
	}

	public BizException(Throwable cause, ErrorCode errorCode) {
		super(cause, errorCode);
	}

	public BizException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, ErrorCode errorCode) {
		super(message, cause, enableSuppression, writableStackTrace, errorCode);
	}

}
